Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.index.chain
Class MonotoneChainBuilder

    java.lang.Object
      com.vividsolutions.jts.index.chain.MonotoneChainBuilder

    public class MonotoneChainBuilder

extends java.lang.Object

Constructs `MonotoneChain`s for sequences of `Coordinate`s.

Version:
  1.7

Constructor Summary
`MonotoneChainBuilder()`

Method Summary
`static java.util.List` | `getChains(Coordinate[] pts)`
`static java.util.List` | `getChains(Coordinate[] pts, java.lang.Object context)` Return a list of the `MonotoneChain`s for the given list of coordinates.
`static int[]` | `getChainStartIndices(Coordinate[] pts)` Return an array containing lists of start/end indexes of the monotone chains for the given list of coordinates.
`static int[]` | `toIntArray(java.util.List list)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MonotoneChainBuilder

    public MonotoneChainBuilder()

Method Detail

### toIntArray

    public static int[] toIntArray(java.util.List list)

### getChains

    public static java.util.List getChains(Coordinate[] pts)

### getChains

    public static java.util.List getChains(Coordinate[] pts,
                                           java.lang.Object context)

  Return a list of the `MonotoneChain`s for the given list of coordinates.

### getChainStartIndices

    public static int[] getChainStartIndices(Coordinate[] pts)

  Return an array containing lists of start/end indexes of the monotone chains for the given list of coordinates. The last entry in the array points to the end point of the point array, for use as a sentinel.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD